RSS automations

GET https://pushye.com/api/rss-automations/
curl --request GET \
--url 'https://pushye.com/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name, title, description, url, rss_url.
website_id Optional Integer
datetime_field Optional String Erlaubte Werte: last_check_datetime, next_check_datetime, datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: rss_automation_id, datetime, last_datetime, last_check_datetime, next_check_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "rss_url": "https://example.com/",
            "title": "Example",
            "description": "Example",
            "url": "https://example.com/",
            "image_url": "https://example.com/",
            "segment": "Example",
            "settings": [],
            "is_enabled": true,
            "total_campaigns": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "last_datetime": null,
            "datetime": "2026-09-14 18:07:15"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pushye.com/api/rss-automations?page=1",
        "last": "https://pushye.com/api/rss-automations?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/rss-automations?page=1"
    }
}
GET https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "rss_url": "https://example.com/",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": [],
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_datetime": null,
        "datetime": "2026-09-14 18:07:15"
    }
}
POST https://pushye.com/api/rss-automations
Parameter Details Beschreibung
website_id Erforderlich Integer -
rss_url Optional String -
name Erforderlich String -
title Erforderlich String -
description Erforderlich String -
url Optional String -
image Optional Datei -
button_title_1 Optional String -
button_url_1 Optional String -
button_title_2 Optional String -
button_url_2 Optional String -
is_silent Optional Boolean -
is_auto_hide Optional Boolean -
ttl Optional String Erlaubte Werte: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Optional String -
utm_medium Optional String -
utm_campaign Optional String -
check_interval_seconds Optional String Erlaubte Werte: 900, 1800, 3600, 21600, 43200, 86400, 259200 (Sekunden)
items_count Optional String Erlaubte Werte: 1 - 100
campaigns_delay Optional String Erlaubte Werte: 5 - 1440
unique_item_identifier Optional String Erlaubte Werte: url, publication_date, id
use_rss_image Optional Boolean -
disable_rss_automation_on_fail Optional Boolean -
is_enabled Optional Boolean -
segment Optional String -
urgency Optional Integer -
curl --request POST \
--url 'https://pushye.com/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "rss_url": "https://example.com/",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_datetime": null,
        "datetime": "2026-09-14 18:07:15"
    }
}
POST https://pushye.com/api/rss-automations/{rss_automation_id}
Parameter Details Beschreibung
website_id Optional Integer -
rss_url Optional String -
name Optional String -
title Optional String -
description Optional String -
url Optional String -
image Optional Datei -
button_title_1 Optional String -
button_url_1 Optional String -
button_title_2 Optional String -
button_url_2 Optional String -
is_silent Optional Boolean -
is_auto_hide Optional Boolean -
ttl Optional String Erlaubte Werte: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Optional String -
utm_medium Optional String -
utm_campaign Optional String -
check_interval_seconds Optional String Erlaubte Werte: 900, 1800, 3600, 21600, 43200, 86400, 259200 (Sekunden)
items_count Optional String Erlaubte Werte: 1 - 100
campaigns_delay Optional String Erlaubte Werte: 5 - 1440
unique_item_identifier Optional String Erlaubte Werte: url, publication_date, id
use_rss_image Optional Boolean -
disable_rss_automation_on_fail Optional Boolean -
is_enabled Optional Boolean -
segment Optional String -
urgency Optional Integer -
curl --request POST \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "rss_url": "https://example.com/",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "last_datetime": null,
        "datetime": "2026-09-14 18:07:15"
    }
}
DELETE https://pushye.com/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pushye.com/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \